export default Route;
declare class Route {
    static defaultQueryParamTypeCast: any[];
    static getDefaultCastForType(type: any): Function;
    static buildRouteComponentName(name: string): string;
    static redirectToNotFound(route?: (object | string) | null, ...args?: any[]): void;
    constructor(path: string, name: string, component: Function | null, options?: {
        alias?: string;
        redirect?: string | object | Function;
        children?: object[];
        modelBindings?: object;
        query?: object;
        props?: Function;
        beforeEnter?: Function;
        meta?: object;
    });
    private _path;
    _name: any;
    _component: any;
    _alias: any;
    _redirect: any;
    _children: any;
    _props: any;
    _beforeEnter: any;
    _meta: any;
    set path(value: string);
    get path(): string;
    set name(value: string);
    get name(): string;
    set component(value: any);
    get component(): any;
    set alias(value: string);
    get alias(): string;
    set redirect(value: any);
    get redirect(): any;
    set children(value: any[]);
    get children(): any[];
    set modelBindings(value: any);
    get modelBindings(): any;
    set queryParams(value: any);
    get queryParams(): any;
    set props(value: Function);
    get props(): Function;
    set beforeEnter(value: Function);
    get beforeEnter(): Function;
    defaultMeta: object;
    _modelBindings: any;
    _queryParams: any;
    readonly get meta(): any;
    setMeta(meta: object): void;
    getComponentConstructorName(): string;
    toJSON(): object;
    #private;
}
//# sourceMappingURL=Route.d.ts.map